Skip to main content

Get Item By Id

GET 

/v1/sandbox/:sandbox_id/item/:item_id

Get Item by ID. Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    item_id uuidrequired

    Item ID

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    expand ExpandProperty[]

    Possible values: [*, legacy_id]

    Resources to expand and fill in additional detail

Responses

Successful Response

Schema

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    item_type Item Type (string)

    Possible values: [unit, recipe, recipe_with_price_reduction, entitlement]

    The type of item.

    entitled_loot_id uuid

    This is only valid for an entitlement Item. When this item is granted and Inventory Session creation, this is the Loot ID that will be fulfilled.

    level_xp_table_id uuid

    The XP Table that is used to determine the Player's level for this XP. The level increase occurs when the quantity of this Item increases above the minimum XP of an XP Level. This is only valid for an unit Item.

    level_vendor_id uuid

    The vendor containing the rewards to grant to the player as they level up. If a level_xp_table_id is configured, when this item is granted to a player their quantity is converted to a level using that table and rewards are granted based on the sort_order of loot inside this reward vendor. If there is no level_xp_table_id configured, the quantity is used to select loot to grant from this reward vendor. This is only valid for an unit Item.

    inventory_bucket_use_rule_set_id uuid

    The Inventory Bucket Use Rule Set ID that determines how this item can be used across buckets.

    coupon_discount_percentage Coupon Discount Percentage (number)

    Possible values: > 0 and <= 1

    The amount the price is discounted. This is a percentage between 0 and 1. For example, 0.25 would be a 25% discount.

    coupon_consume_on_use Coupon Consume On Use (boolean)

    If true, the coupon will be consumed when used by decreasing the quantity in the Player's Inventory by 1. If false, the coupon will remain in the Player's inventory after use.

    coupon_discount_loot uuid[]

    Default value: ``

    List of Loot IDs this item can discount

    coupon_discount_currency_item_name Coupon Discount Currency Item Name (string)

    Name of corresponding currency Item ID

    coupon_discount_currency_item_id uuid

    The Item ID of the currency to be used for the coupon.

    total_ownership_max Total Ownership Max (integer)

    Default value: 0

    Maximum ownership (permanent+rental) count that a player is allowed for this item ID

    legacy_item_id Legacy Item Id (integer)

    The Legacy Item ID.

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    item_id uuidrequired

    The Item ID.

    entitled_loot_name Entitled Loot Name (string)

    Name corresponding entitled Loot ID

    level_vendor_name Level Vendor Name (string)

    Name of corresponding level Vendor ID

    level_xp_table_name Level Xp Table Name (string)

    Name of corresponding level XP Table ID

    inventory_bucket_use_rule_set_name Inventory Bucket Use Rule Set Name (string)

    Name of corresponding Inventory Bucket Use Rule Set ID

Loading...